# Imagick::thresholdImage

(PECL imagick 2.0.0)

Imagick::thresholdImage — Changes the value of individual pixels based on a threshold

### Description

Imagick::thresholdImage ( float `$threshold` [, int `$channel` = Imagick::CHANNEL_DEFAULT ] ) : bool

Changes the value of individual pixels based on the intensity of each pixel compared to threshold. The result is a high-contrast, two color image.

### Parameters

`threshold`

`channel`

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Imagick::thresholdImage()

`<?php
function thresholdimage($imagePath, $threshold, $channel) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->thresholdimage($threshold * \Imagick::getQuantum(), $channel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`